class TestResult

  attr_accessor :original_test
  attr_accessor :time
  attr_accessor :passed
  attr_accessor :failure_output
  attr_accessor :stack_trace
  attr_accessor :result_code

  def initialize(passed: nil, time: nil, failure_output: nil, stack_trace: nil, original_test: nil)
    @passed = passed
    @time = time
    @result_code = nil
    @failure_output = failure_output || ""
    @stack_trace = stack_trace
    @original_test = original_test
  end

end
